imapsync couldn't find or

Bradley Giesbrecht brad at
Wed Feb 10 10:55:15 PST 2010

On Feb 10, 2010, at 10:43 AM, Terry Barnum wrote:

> The imapsync port installed on a 10.6.2 Mac Pro without problem,  
> launched and tried to connect to the two mail servers but then  
> failed saying it couldn't find or
> $RCSfile: imapsync,v $ $Revision: 1.303 $ $Date: 2010/01/20 04:12:52 $
> Here is a [darwin] system (Darwin MASKED 10.2.0 Darwin Kernel  
> Version 10.2.0: Tue Nov  3 10:37:10 PST 2009; root:xnu-1486.2.11~1/ 
> RELEASE_I386 i386)
> with perl 5.8.9
> Mail::IMAPClient  3.19
> IO::Socket        1.30
> IO::Socket::SSL
> Digest::MD5       2.39
> Digest::HMAC_MD5
> Term::ReadKey
> Date::Manip
> and the module Mail::IMAPClient version used here is 3.19
> Command line used:
> /opt/local/bin/imapsync --host1 MASKED --user1 MASKED --password1  
> MASKED --host2 MASKED --user2 MASKED --password2 MASKED --authmech2  
> PLAIN --tls2 --dry
> Temp directory is /tmp
> Turned ON syncinternaldates, will set the internal dates (arrival  
> dates) on host2 same as host1.
> TimeZone:[PST]
> Will try to use CRAM-MD5 authentication on host1
> Will try to use PLAIN authentication on host2
> Host1 imap server [MASKED] port [143] user [MASKED]
> Host2 imap server [MASKED] port [143] user [MASKED]
> Banner: * OK MASKED running EIMS X 3.3.9
> Can't locate Digest/ in @INC (@INC contains: /opt/local/lib/ 
> perl5/site_perl/5.8.9/darwin-2level /opt/local/lib/perl5/site_perl/ 
> 5.8.9 /opt/local/lib/perl5/site_perl /opt/local/lib/perl5/ 
> vendor_perl/5.8.9/darwin-2level /opt/local/lib/perl5/vendor_perl/ 
> 5.8.9 /opt/local/lib/perl5/vendor_perl /opt/local/lib/perl5/5.8.9/ 
> darwin-2level /opt/local/lib/perl5/5.8.9 .) at /opt/local/lib/ 
> perl5/5.8.9/Digest/ line 6.
> BEGIN failed--compilation aborted at /opt/local/lib/perl5/5.8.9/ 
> Digest/ line 6.
> Compilation failed in require at /opt/local/lib/perl5/vendor_perl/ 
> 5.8.9/Mail/ line 2863.
> The way I got it to work was symlinking and  
> from /System/Library/Perl/Extras/5.8.9/Digest/
> Did I do something wrong in the port install? There are no variants  
> other than universal.

Below everything looks good to me. My guess is that you don't have / 
opt/local/lib/perl5/vendor_perl/5.8.9/ in your perl path. I don't use  
perl, only perl files others have written. I seem to remember a while  
back a few threads about perls env.

Sorry, that's all I got right now.

bash-3.2# port info imapsync
imapsync @1.286 (mail)
Variants:             universal

Description:          imapsync is an IMAP synchronization, copy or  
migration tool. Synchronize mailboxes between two imap servers. It is  
especially good at
                       IMAP migration.

Runtime Dependencies: perl5, p5-digest-md5, p5-mail-imapclient, p5- 
term-readkey, p5-io-socket-ssl, p5-datemanip, p5-digest-hmac
Platforms:            darwin
License:              unknown
Maintainers:          mww at
bash-3.2# port search hmac
p5-digest-hmac @1.01 (perl)
     Keyed-Hashing for Message Authentication

rb-hmac @0.3 (ruby, security)
     Provides a common interface to HMAC functionality.

Found 2 ports.
bash-3.2# port contents p5-digest-hmac
Port p5-digest-hmac contains:

More information about the macports-users mailing list